Anonymous Login
2019-10-14 21:14 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001078Third-party ModulesProject Importerpublic2014-06-13 19:21
Reporterproject_manager 
Assigned Tocaseydk 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001078: Add on: Project Importer: fatal error: wrong type call
Descriptionlatest version from SVN (about 9-10 month old) installed and fatal error reported after pressing "Import Data" button:

Catchable fatal error: Argument 1 passed to MSProjectImporter::view() must be an instance of CAppUI, instance of w2p_Core_CAppUI given, called in ..\modules\importers\view.php on line 28 and defined in ..\modules\importers\imports\MSProjectImporter.class.php on line 140
Additional Information..\modules\importers\view.php on line 28:

<?php echo $importer->view($AppUI); ?>

---> $AppUI has the type of w2p_Core_CAppUI !!!!!!!!!!!!!!!!!!

..\modules\importers\imports\MSProjectImporter.class.php on line 140:

public function view(CAppUI $AppUI) {
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002436

project_manager (reporter)

Project Importer: v4.2

~0002438

Korkonius (reporter)

You can probably fix this error by changing line 140 in ..\modules\importers\imports\MSProjectImporter.class.php to:

public function view(w2p_Core_CAppUI $AppUI) {

~0002439

project_manager (reporter)

Thanks Korkonius, good help !

Problem solved, the class "CAppUI" should be replaced with new (v.3.x) "w2p_Core_CAppUI" in all called functions.

Affected files: importers.class.php , MSProjectImporter.class.php .

As it works now (v.3.x with importer v.4.2) I assume that there was only a name change of this class (in ver. 3.x) without any changes in class declaration.

~0002440

project_manager (reporter)

I dont know how to change the status, have no access to the Mantis issue header.

~0003463

caseydk (administrator)

Resolved in development:
https://github.com/web2project/modules-importers/commit/4797aa265232c4edbf5270d4ace039c0aa0a0d5a
+Notes

-Issue History
Date Modified Username Field Change
2012-03-08 11:11 project_manager New Issue
2012-03-08 11:17 project_manager Note Added: 0002436
2012-03-10 02:48 Korkonius Note Added: 0002438
2012-03-10 06:42 project_manager Note Added: 0002439
2012-03-10 07:00 project_manager Note Added: 0002440
2012-03-18 00:48 caseydk Project v3.0 Release => Third-party Modules
2012-10-21 22:53 caseydk Category -- none specified -- => Project Importer
2014-04-05 17:44 caseydk Category General => Project Importer
2014-06-13 19:21 caseydk Note Added: 0003463
2014-06-13 19:21 caseydk Status new => resolved
2014-06-13 19:21 caseydk Resolution open => fixed
2014-06-13 19:21 caseydk Assigned To => caseydk
+Issue History